Package skyview.vo

# Class ConeQuerier

java.lang.Object
skyview.vo.ConeQuerier

All Implemented Interfaces:
  `Runnable`

public class ConeQuerier extends Object implements Runnable
This class queries a cone search service and returns the positions and IDs.

## Constructor Summary

Constructors
Constructor
Description
`ConeQuerier(String URL, String id)`
Build a cone querier using the full URL.
`ConeQuerier(String baseURL, String id, double ra, double dec, double size)`
Build a cone querier using the base URL and cone search parameters.

## Method Summary

Modifier and Type
Method
Description
`void`
`addCriterion(String name, String op, String value)`
`static String`
`checkURLEnd(String url)`
Make sure that URLs can be appended to
`static ConeQuerier`
`factory(String id, double ra, double dec, double size)`
Create a ConeQuerier Object.
`int`
`getCount()`
Get the number of rows returned
`String[]`
`getExtraNames()`
Get the names of extra columns
`ArrayList<String[]>`
`getExtras()`
Get the list of extra columns
`String[]`
`getIDs()`
Get the specified IDs
`double[][]`
`getPositions()`
Get the array of position
`double`
`getSize()`
Get the size of the request
`String`
`getURL()`
Get the URL used.
`static void`
`main(String[] args)`
`void`
`run()`
Run the query
`void`
`setEntriesUsed(int n)`
`void`
`setOutput(PrintStream str)`
`void`
`updateHeader(nom.tam.fits.Header hdr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConeQuerier

public ConeQuerier(String baseURL, String id, double ra, double dec, double size)
Build a cone querier using the base URL and cone search parameters.

### ConeQuerier

public ConeQuerier(String URL, String id)
Build a cone querier using the full URL.

## Method Details

### checkURLEnd

public static String checkURLEnd(String url)
Make sure that URLs can be appended to

### setEntriesUsed

public void setEntriesUsed(int n)

### setOutput

public void setOutput(PrintStream str)

### addCriterion

public void addCriterion(String name, String op, String value)

### getSize

public double getSize()
Get the size of the request

### run

public void run()
Run the query

Specified by:
  `run` in interface `Runnable`

### getPositions

public double[][] getPositions()
Get the array of position

Returns:
  a double[n][2] array.

### getIDs

public String[] getIDs()
Get the specified IDs

### getCount

public int getCount()
Get the number of rows returned

### getURL

public String getURL()
Get the URL used.

### getExtras

public ArrayList<String[]> getExtras()
Get the list of extra columns

### getExtraNames

public String[] getExtraNames()
Get the names of extra columns

### factory

public static ConeQuerier factory(String id, double ra, double dec, double size)
Create a ConeQuerier Object.

Parameters:
  `id` -
  - NED: query the NED cone search services
  - SIMBAD: query SIMBAD
  - contains '/': assume this is a Vizier table.
  - otherwise: assume this is a HEASARC table.

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### updateHeader

public void updateHeader(nom.tam.fits.Header hdr)